<?php
/*
  $Id: percent.phps,v 1.1 2002/02/02 20:32:09 dgw_ Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2001,2002 osCommerce

  Released under the GNU General Public License
*/

  class percent {
    var $code, $title, $description, $icon, $enabled;

// class constructor
    function percent() {
      $this->code = 'percent';
      $this->title = MODULE_SHIPPING_PERCENT_TEXT_TITLE;
      $this->description = MODULE_SHIPPING_PERCENT_TEXT_DESCRIPTION;
      $this->icon = '';
      $this->enabled = MODULE_SHIPPING_PERCENT_STATUS;
    }

// class methods
    function selection() {
      $selection_string = '<table border="0" cellspacing="0" cellpadding="0" width="100%">' . "\n" .
                          '  <tr>' . "\n" .
                          '    <td class="main">&nbsp;' . (($this->icon) ? tep_image($this->icon, $this->title) : '') . '&nbsp; ' . MODULE_SHIPPING_PERCENT_TEXT_TITLE . '&nbsp;</td>' . "\n" .
                          '    <td align="right" class="main">&nbsp;' . tep_draw_checkbox_field('shipping_quote_percent', '1', true) . '&nbsp;</td>' . "\n" .
                          '  </tr>' . "\n" .
                          '</table>' . "\n";

      return $selection_string;
    }

    function quote() {
      global $cart, $shipping_quoted, $shipping_percent_cost, $shipping_percent_method;

      $shipping_total = $cart->show_total();
      if ( ($GLOBALS['shipping_quote_all'] == '1') || ($GLOBALS['shipping_quote_percent'] == '1') ) {
        $shipping_quoted = 'percent';
        $shipping_percent_cost = MODULE_SHIPPING_PERCENT_RATE/100 * $shipping_total;
        $shipping_percent_method = MODULE_SHIPPING_PERCENT_TEXT_WAY;
      }
    }

    function cheapest() {
      global $shipping_count, $shipping_cheapest, $shipping_cheapest_cost, $shipping_percent_cost;

      if ( ($GLOBALS['shipping_quote_all'] == '1') || ($GLOBALS['shipping_quote_percent'] == '1') ) {
        if ($shipping_count == 0) {
          $shipping_cheapest = 'percent';
          $shipping_cheapest_cost = $shipping_percent_cost;
        } else {
          if ($shipping_percent_cost < $shipping_cheapest_cost) {
            $shipping_cheapest = 'percent';
            $shipping_cheapest_cost = $shipping_percent_cost;
          }
        }
        $shipping_count++;
      }
    }

    function display() {
      global $HTTP_GET_VARS, $currencies, $shipping_cheapest, $shipping_percent_method, $shipping_percent_cost, $shipping_selected;

// set a global for the radio field (auto select cheapest shipping method)
      if (!$HTTP_GET_VARS['shipping_selected']) $shipping_selected = $shipping_cheapest;

      if ( ($GLOBALS['shipping_quote_all'] == '1') || ($GLOBALS['shipping_quote_percent'] == '1') ) {
        $display_string = '<table border="0" width="100%" cellspacing="0" cellpadding="0">' . "\n" .
                          '  <tr>' . "\n" .
                          '    <td class="main">&nbsp;' . (($this->icon) ? tep_image($this->icon, $this->title) : '') . '&nbsp;' . MODULE_SHIPPING_PERCENT_TEXT_TITLE . ' <small><i>(' . $shipping_percent_method . ')</i></small>&nbsp;</td>' . "\n" .
                          '    <td align="right" class="main">&nbsp;' . $currencies->format($shipping_percent_cost);
        if (tep_count_shipping_modules() > 1) {
          $display_string .= '&nbsp;&nbsp;' . tep_draw_radio_field('shipping_selected', 'percent') .
                                              tep_draw_hidden_field('shipping_percent_cost', $shipping_percent_cost) .
                                              tep_draw_hidden_field('shipping_percent_method', $shipping_percent_method) . '&nbsp;</td>' . "\n";
        } else {
          $display_string .= '&nbsp;&nbsp;' . tep_draw_hidden_field('shipping_selected', 'percent') .
                                              tep_draw_hidden_field('shipping_percent_cost', $shipping_percent_cost) .
                                              tep_draw_hidden_field('shipping_percent_method', $shipping_percent_method) . '&nbsp;</td>' . "\n";
        }
        $display_string .= '  </tr>' . "\n" .
                           '</table>' . "\n";
      }

      return $display_string;
    }

    function confirm() {
      global $HTTP_POST_VARS, $shipping_cost, $shipping_method;

      if ($HTTP_POST_VARS['shipping_selected'] == 'percent') {
        $shipping_cost = $HTTP_POST_VARS['shipping_percent_cost'];
        $shipping_method = $HTTP_POST_VARS['shipping_percent_method'];
      }
    }

    function check() {
      $check = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_SHIPPING_PERCENT_STATUS'");
      $check = tep_db_num_rows($check);

      return $check;
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Enable Percent Shipping', 'MODULE_SHIPPING_PERCENT_STATUS', '1', 'Do you want to offer percent rate shipping?', '6', '5', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Percentage rate', 'MODULE_SHIPPING_PERCENT_RATE', '10.00', 'What is the shipping rate (percent)? The Handling fee will also be added.', '6', '6', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_SHIPPING_PERCENT_STATUS'");
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_SHIPPING_PERCENT_RATE'");
    }

    function keys() {
      $keys = array('MODULE_SHIPPING_PERCENT_STATUS', 'MODULE_SHIPPING_PERCENT_RATE');

      return $keys;
    }
  }
?>
