<?php
/*
  $Id: general.php,v 1.6 2002/04/19 22:50:36 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/

////
// Output the chapter navigation tree
  function tep_output_chapter_tree() {
    global $chapters;

    $output_string = '';
    for ($i=0; $i<sizeof($chapters); $i++) {
      $output_string .= '<p><span class="naviChapter"><a href="' . $chapters[$i]['url'] . '">' . $chapters[$i]['heading'] . '</a></span><br>';
      for ($j=0; $j<sizeof($chapters[$i]['contents']); $j++) {
        $output_string .= '<span class="naviContent">&nbsp;-&nbsp;<a href="' . $chapters[$i]['contents'][$j]['url'] . '">' . $chapters[$i]['contents'][$j]['title'] . '</a></span><br>';
      }
      $output_string .= '</p>';
    }

    return $output_string;
  }

////
// Set the page title to the navigation taken
  function tep_output_html_title() {
    global $current_chapter, $current_content;

    $output_string = 'osCommerce : Documentation';

    if ($current_chapter) $output_string .= ' : ' . $current_chapter;
    if ($current_content) $output_string .= ' : ' . $current_content;

    return $output_string;
  }

////
// Outputs the chapter and optionally the current content page titles
  function tep_output_current_content() {
    global $current_chapter, $current_content;

    $output_string = '<p>';

    if (!$current_chapter) $current_chapter = '&nbsp;';
    if (!$current_content) $current_content = '&nbsp;';

    $output_string .= '<span class="currentChapter">' . $current_chapter . '</span><br>' .
                      '<span class="currentContent">' . $current_content . '</span>';

    $output_string .= '</p>';

    return $output_string;
  }

////
// Output all content titles in a chapter
  function tep_output_chapter_contents($chapter) {
    global $chapters;

    $output_string = '<pre class="listBox"><ul class="bullet">';

    for ($i=0; $i<sizeof($chapters); $i++) {
      if ($chapters[$i]['heading'] == $chapter) {
        for ($j=0; $j<sizeof($chapters[$i]['contents']); $j++) {
          $output_string .= '<li><a href="' . $chapters[$i]['contents'][$j]['url'] . '">' . $chapters[$i]['contents'][$j]['title'] . '</a></li>';
        }
      }
    }

    $output_string .= '</ul></pre>';

    return $output_string;
  }

////
// Retrieve the link for the needed content page, and optionally outputs a custom title for the link, otherwise the content title
  function tep_get_content_link($content, $title = '') {
    global $chapters;

    $output_string = '';
    for ($i=0; $i<sizeof($chapters); $i++) {
      for ($j=0; $j<sizeof($chapters[$i]['contents']); $j++) {
        if ($chapters[$i]['contents'][$j]['title'] == $content) {
          $output_string .= '<a href="' . $chapters[$i]['contents'][$j]['url'] . '">';
          if ($title != '') {
            $output_string .= $title;
          } else {
            $output_string .= $content;
          }
          $output_string .= '</a>';
          break;
        }
      }
    }

    return $output_string;
  }

  function osc_output_previous_content_link() {
    global $chapters, $current_chapter, $content;

    for ($i=0; $i<sizeof($chapters); $i++) {
      for ($j=0; $j<sizeof($chapters[$i]['contents']); $j++) {
        if ($chapters[$i]['contents'][$j]['url'] == $content) {
          if ($j > 0) {
            return array('title' => $chapters[$i]['contents'][$j-1]['title'],
                         'url' => $chapters[$i]['contents'][$j-1]['url']);
          } else {
            return array('title' => $chapters[$i]['heading'],
                         'url' => $chapters[$i]['url']);
          }
        }
      }
    }

    for ($i=0; $i<sizeof($chapters); $i++) {
      if ($chapters[$i]['url'] == $content) {
        if ($chapters[$i-1]['contents'][sizeof($chapters[$i-1]['contents'])-1]) {
          return array('title' => $chapters[$i-1]['contents'][sizeof($chapters[$i-1]['contents'])-1]['title'],
                       'url' => $chapters[$i-1]['contents'][sizeof($chapters[$i-1]['contents'])-1]['url']);
        }
      }
    }
  }

  function osc_output_next_content_link() {
    global $chapters, $current_chapter, $content;

    for ($i=0; $i<sizeof($chapters); $i++) {
      for ($j=0; $j<sizeof($chapters[$i]['contents']); $j++) {
        if ($chapters[$i]['contents'][$j]['url'] == $content) {
          if ($chapters[$i]['contents'][$j+1]) {
            return array('title' => $chapters[$i]['contents'][$j+1]['title'],
                         'url' => $chapters[$i]['contents'][$j+1]['url']);
          } else {
            if ($chapters[$i+1]) {
              return array('title' => $chapters[$i+1]['heading'],
                           'url' => $chapters[$i+1]['url']);
            } else {
              return false;
            }
          }
        }
      }
    }

    for ($i=0; $i<sizeof($chapters); $i++) {
      if ($chapters[$i]['url'] == $content) {
        return array('title' => $chapters[$i]['contents'][0]['title'],
                     'url' => $chapters[$i]['contents'][0]['url']);
      }
    }
  }
?>
