<?php
/*
  $Id: install_database.php,v 1.5 2002/04/19 22:52:37 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/
?>
<p class="contentHeading">Database Installation</p>

<p>osCommerce is able to work on various environment setups as long as the web-server is correctly configured with PHP, and as long as PHP is correctly configured with the database server. Such environment setups include:</p>

<div class="listBox"><ul class="bullet"><li>Shared Servers</li><li>Dedicated Servers</li><li>Appliance Servers</li><li>Co-located Servers</li></ul></div>

<p>Depending on the type of server you have, the database server could be already installed for you.</p>

<p>A typcial setup environment is the Shared Server setup, where the database server is already installed and running. In this case, your hosting provider or system administrator should have given you your database connection parameters in the form of:</p>

<div class="listBox"><ul class="bullet"><li>An IP-Address or hostname to the database server</li><li>A username to connect to the database server</li><li>A password to use with the username for security purposes</li></ul></div>

<p>Once you have the necessary database connection parameters at hand, you are able to connect to the database server to create the database and required tables.</p>

<p>This can be done in the form of a <a href="#direct">direct connection</a> to the database server through a database client, or through a <a href="#web">web-based</a> database administration package.</p>

<p>If you have already created the database and tables required, you may proceed to the <a href="config_catalog.php"><?php echo CONTENT_CONFIGURATION_CATALOG; ?></a> and to the <a href="config_administration_tool.php"><?php echo CONTENT_CONFIGURATION_ADMINISTRATION_TOOL; ?></a> section to configure your online-shop to connect to the database server.</p>

<p>If your online-shop is hosted on a Dedicated Server, and have already installed the database and tables, you may proceed to the <a href="security_database.php"><?php echo CONTENT_SECURITY_DATABASE; ?></a> section to secure your database against unauthorized use.</p>

<a name="direct"></a>

<p class="contentHeading">Database Installation Through A Direct Database Connection Via A Database Client</p>

<p>Mysql ships with a set of commands that enable you to create and interact with databases. The commands we will need are mysqladmin and mysql.</p>

<p class="noteBox">Microsoft Windows based servers have a set of equivalent commands of mysqladmin.exe and mysql.exe. The functionality is the same as their Unix counterparts.</p>

<p>First we need to create a database to hold the data. You might already have a database created for you, this is normally the case with shared servers.</p>

<p>The default name for the database is <b>catalog</b>. However, you can name the database to your requirements as long as it is set in the <a href="config_catalog.php"><?php echo CONTENT_CONFIGURATION_CATALOG; ?></a> and the <a href="config_administration_tool.php"><?php echo CONTENT_CONFIGURATION_ADMINISTRATION_TOOL; ?></a> sections.</p>

<p>The following command will prompt you for a password and then create the database. Substitute <i>&lt;username&gt;</i> and <i>&lt;database-name&gt;</i> with your prefered values.</p>

<p class="stepsBox">mysqladmin -u <i>&lt;username&gt;</i> -p create &lt;database-name&gt;</p>

<p>The next step is to fill the database with the default data provided. The commands for this are in a file called <span class="highlightExample">oscommerce.sql</span> and is located the catalog/install directory.</p>

<p class="stepsBox">mysql -u <i>&lt;username&gt;</i> -p &lt;database-name&gt; < /usr/local/apache/htdocs/catalog/install/oscommerce.sql</p>

<p class="notebox">Use the --help parameter to obtain information on extra parameters.</p>

<a name="web"></a>

<p class="contentHeading">Database Installation Through A Web Based Connection</p>

<p>The most popular web based connection to mysql is <a href="http://www.phpwizard.net/projects/phpMyAdmin/" target="_blank">phpMyAdmin</a>. Configuration is covered in the package and is very simple. Uncompress the packages, edit the configuration file and put it in your webspace. You should password-protect phpMyAdmin because it delivers full control over the database.</p>

<p>As in the previous case, there are 2 main steps:</p>

<ul><li>Create the database</li><li>Fill database with default data</li></ul>

<p>You can accomplish the first step in phpMyAdmin's index page. Fill in the database name you chose where it says "Create new database" and click on "Create".</p>

<p>For the second step, click on the database name in the left frame and click on the Browse button below "Run SQL query" and upload the <span class="highlighExample">oscommerce.sql</span> file located in the catalog/install directory.</p>


<p>Wait for the process to end error-free. Note that there are known problems with early versions of phpMyAdmin, if you experience any problems make sure you are using version 2.2.0. of phpMyAdmin or higher.</p>
