<?php
/*
  $Id: install_unix.php,v 1.4 2002/01/03 23:07:58 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/
?>
<p class="contentHeading"><?php echo $current_content; ?></p>

<?php require('languages/' . $language . '/' . 'package_installation_introduction.php'); ?>

<p class="contentHeading">Downloading And Extracting The Packages</p>

<p>Both Catalog and Administration Tool modules are available from the support site at <a href="http://www.oscommerce.com" target="_blank">http://www.oscommerce.com</a>.</p>

<p>Once both packages are downloaded and located on your server, the contents need to be extracted from each package. This can be done with the following commands in your shell:</p>

<div class="stepsBox"><ol><li>gunzip tep_catalog-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>.tar.gz</li><li>tar xvf tep_catalog-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>.tar</li></ol><ol><li>gunzip tep_admin-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>.tar.gz</li><li>tar xvf tep_admin-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>.tar</li></ol></div>

<p>Once the contents have been extracted from each package, the following directory structure will exist:</p>

<div class="stepsBox"><ol><li>./tep_catalog-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>/</li><li>./tep_catalog-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>/catalog/</li></ol><ol><li>./tep_admin-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>/</li><li>./tep_admin-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>/admin/</li></ol></div>

<p>Files in the <b>1.</b> tree include a quick installation guide, visual database overview, the database structure, and the license osCommerce is released under.</p>

<p>The <b>2.</b> tree contains the actual solution in PHP files.</p>

<p class="contentHeading">Copying The Files To Your Web Server Document Root Directory</p>

<p>The <b>2.</b> tree extracted above should now be copied to the web server document root directory.</p>

<p>Consult your web server configuration or documentation to find out where its document root directory is located.</p>

<p>As an example for the Apache web server, the directory <span class="highlightExample">/usr/local/apache/htdocs/</span> will be used as the web server document root directory.</p>

<p class="noteBox">If the Apache web server is hosted on a shared server, the document root directory might be located in the home directory of your user account: /home/username/public_html/</p>

<p>To copy the <b>2.</b> tree to the web server document root directory, use the following commands in your shell:</p>

<div class="stepsBox"><ol><li>cd tep_catalog-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font></li><li>cp -R catalog /usr/local/apache/htdocs/</li></ol><ol><li>cd ..</li><li>cd tep_admin-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font></li><li>cp -R admin /usr/local/apache/htdocs/</li></ol></div>

<p>After copying the directories to the web server document root directory, the Catalog module can be accessed at http://web_server/catalog/default.php, and the Administration Tool at http://web_server/admin/default.php.</p>

<p class="noteBox">Before the Catalog and Administration Tool are able to function, the database needs to be <?php echo tep_get_content_link(CONTENT_INSTALLATION_DATABASE, 'installed'); ?>, and both <?php echo tep_get_content_link(CONTENT_CONFIGURATION_CATALOG, 'Catalog'); ?> and <?php echo tep_get_content_link(CONTENT_CONFIGURATION_ADMINISTRATION_TOOL, 'Administration Tool'); ?> configured to suit the server environment.</p>