<?php
/*
  $Id: install_win32.php,v 1.4 2002/01/03 23:23:20 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/
?>
<p class="contentHeading"><?php echo $current_content; ?></p>

<?php require('languages/' . $language . '/' . 'package_installation_introduction.php'); ?>

<p class="contentHeading">Downloading And Extracting The Packages</p>

<p>Both Catalog and Administration Tool modules are available from the support site at <a href="http://www.oscommerce.com" target="_blank">http://www.oscommerce.com</a>.</p>

<p>Once both packages are downloaded and located on your server, the contents need to be extracted from each package. This can be done by using either <a href="http://www.winzip.com" target="_blank">WinZip</a>, <a href="http://www.rarsoft.com" target="_blank">WinRAR</a>, <a href="http://www.powerarchiver.com" target="_blank">PowerArchiver</a>, or another zip or tar/gzip compatible compression program.</p>

<div class="stepsBox"><ol><li>In Windows Explorer, or through My Computer, navigate to the directory where the packages are located</li><li>Right click on tep_catalog-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>.zip and select 'Extract files'</li><li>Right click on tep_admin-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>.zip and select 'Extract files'</li></ol></div>

<p class="noteBox">If extracting the contents from a .tar.gz package only produces a single .tar file, the procedure needs to be repeated again on the .tar file itself.</p>

<p>Once the contents have been extracted from each package, the following directory structure will exist:</p>

<div class="stepsBox"><ol><li>tep_catalog-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>\</li><li>tep_catalog-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>\catalog\</li></ol><ol><li>tep_admin-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>\</li><li>tep_admin-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font>\admin\</li></ol></div>

<p>Files in the <b>1.</b> tree include a quick installation guide, visual database overview, the database structure, and the license osCommerce is released under.</p>

<p>The <b>2.</b> tree contains the actual solution in PHP files.</p>

<p class="contentHeading">Copying The Files To Your Web Server Document Root Directory</p>

<p>The <b>2.</b> tree extracted above should now be copied to the web server document root directory.</p>

<p>Consult your web server configuration or documentation to find out where its document root directory is located.</p>

<p>As an example for Microsoft Internet Information Server, the directory <span class="highlightExample">C:\Inetpub\wwwroot\</span> will be used as the web server document root directory.</p>

<p>To copy the <b>2.</b> tree to the web server document root directory, perform the following actions in Windows Explorer, or in My Computer:</p>

<div class="stepsBox"><ol><li>Navigate to the directory where the package contents exist</li><li>Enter the tep_catalog-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font> directory</li><li>Right click on the 'catalog' directory and select 'Copy' from the pop-up menu</li><li>Navigate to the web server document root directory, C:\Inetpub\wwwroot\</li><li>Right click in the content pane and select 'Paste' from the pop-up menu</li></ol><ol><li>Navigate back to the directory where the package contents exist</li><li>Enter the tep_admin-pr<font color="#ff0000">X</font>.<font color="#ff0000">X</font> directory</li><li>Right click on the 'admin' directory and select 'Copy' from the pop-up menu</li><li>Navigate to the web server document root directory, C:\Inetpub\wwwroot\</li><li>Right click in the content pane and select 'Paste' from the pop-up menu</li></ol></div>

<p class="noteBox">The term 'Right click' is an action described by pressing the right sided button on your mouse. By pressing the right sided button on your mouse, a pop-up menu will appear where the mouse cursor is on the screen, with a list of appropriate actions to execute.</p>

<p>After copying the directories to the web server document root directory, the Catalog module can be accessed at http://web_server/catalog/default.php, and the Administration Tool at http://web_server/admin/default.php.</p>

<p class="noteBox">Before the Catalog and Administration Tool are able to function, the database needs to be <?php echo tep_get_content_link(CONTENT_INSTALLATION_DATABASE, 'installed'); ?>, and both <?php echo tep_get_content_link(CONTENT_CONFIGURATION_CATALOG, 'Catalog'); ?> and <?php echo tep_get_content_link(CONTENT_CONFIGURATION_ADMINISTRATION_TOOL, 'Administration Tool'); ?> configured to suit the server environment.</p>