<?php
/*
  $Id: shipping_modules_installation.php,v 1.1 2002/02/02 20:32:09 dgw_ Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/
?>
<p class=contentHeading>General</p>

<p>Shipping modules are coded in a php file with the same name as the module.</p>

<p class="stepsBox">Class &#147;flat&#148; is described in file flat.php.</p>

<p>This file must be copied in the includes/modules/shipping directory. The corresponding language file must be copied in the includes/languages/&lt;language&gt;/modules/shipping directory.</p>

<p>Shipping module &#147;flat&#148; includes files:</p>

<ul>
  <li>includes/modules/shipping/flat.php</li>
  <li>includes/languages/english/modules/shipping/flat.php</li>
  <li>includes/languages/espanol/modules/shipping/flat.php</li>
  <li>includes/languages/german/modules/shipping/flat.php</li>
</ul>

<p>All files with the same file extension as the calling page are loaded as shipping modules. This usually means '*.php' files.</p>

<P class=contentHeading>Enabling and disabling the module</P>

<p>Launch the admin interface. Click on the &#147;Modules&#148; box, then on &#147;shipping&#148;. A list of available shipping modules is displayed.</p>

<p><img src="images/shipping_module_validation.png"></p>

<p>Besides the filename, you have a status indicator. If the indicator is bright green, the module is enabled. If it is bright red, it is disabled. On the above image, both &#147;colissimo&#148; and &#147;flat&#148; are enabled. All others are disabled.</p>

<p>To enable a module, click on the dim green indicator. To disable it, click on the dim red indicator.</p>

<p class=contentHeading>Configuring the module</p>

<p>It is possible to change the parameters of a module when you have enabled it. An edit button will appear in the right column for enabled modules.</p>

<p><img src="images/shipping_module_edit.png" width="684" height="230"></p>

<table cellpadding="0" cellspacing="0" border="0">
  <tr>
    <td class="content" valign="top">
      <p>Click on the edit button to change the parameters. Parameters are explained in the boxes. If you develop or modify a module, take care to have decent explanations in there. That's all the administrator will have to understand the parameter.</p> 

      <p class="noteBox">Note: parameters use default units. The flat cost here might be $5.00 or 5,00&nbsp;&euro;. It is the same for weights which might be pounds or kilos. Be consistent in your shop!</p>

      <p class="content">Click on the update button when you're finished.</p>
    </td>
    <td valign="top"><img src="images/shipping_module_flat.png" width="171" height="200" hspace="16"></td>
  </tr>
</table>

<p class="contentHeading">The <i>zone</i> Shipping Module</p>

<table cellpadding="0" cellspacing="0" border="0">
  <tr>
    <td class="content" valign="top">
<p>Some modules will have more complex options. The Zones module can have a handling fee as well as different prices for different weights, for different zones.</p>

<p class="highlightExample">This form shows a handling fee of 10, and shipping rates for USA, Canada and a list of other countries. The cost is 3.50 for items up to weight 1, 3.95 for items weighing 1 to 2.</p>

<p class="noteBox">Note: parameters use default units. The cost here might be US$3.50 or CN$3.50. The weight limit might be 2 pounds or 2 kilograms! Be consistent in your shop!</p>

<p>The zones module can deal with multiple zones. Edit the zones.php file. Find the line that reads:</p>

<p>$this->num_zones = 1;</p>

<p>Change it to (that is, if you want five zones...):</p>

<p>$this->num_zones = 5;</p>

<p class="noteBox">Note: if you modify the file, you will have to disable then re-enable it for the changes to be effective.</p>

<p>The bottom section of the form will be repeated five times, once for each zone. (The image on the right is truncated).</p>

<p>Let's have an example (taken from zones.php).</p>

<p>You will need to define which countries are in each zone. Determining this might take some time and effort. You should group a set of countries that has similar shipping charges for the same weight. For instance, when shipping from the US, the countries of Japan, Australia, New Zealand, and Singapore have similar shipping rates.</p>

<p>As an example, one of my customers is using this set of zones:</p>

<ol class="listBox">
  <li>USA</li>
  <li>Canada</li>
  <li>Austria, Belgium, Great Britain, France, Germany, Greenland, Iceland, Ireland, Italy, Norway, Holland/Netherlands, Denmark, Poland, Spain, Sweden, Switzerland, Finland, Portugal, Israel, Greece</li>
  <li>Japan, Australia, New Zealand, Singapore</li>
  <li>Taiwan, China, Hong Kong</li>
</ol>

<p>When you enter these country lists, enter them into the Zone X Countries fields, where "X" is the number of the zone. They should be entered as two character ISO country codes in all capital letters. They should be separated by commas with no spaces or other punctuation. For example:</p>

<ol class="listBox">
  <li>US</li>
  <li>CA</li>
  <li>AT,BE,GB,FR,DE,GL,IS,IE,IT,NO,NL,DK,PL,ES,SE,CH,FI,PT,IL,GR</li>
  <li>JP,AU,NZ,SG</li>
  <li>TW,CN,HK</li>
</ol>

<p>Now you need to set up the shipping rate tables for each zone. Again, some time and effort will go into setting the appropriate rates. You will define a set of weight ranges and the shipping price for each range. For instance, you might want an order than weighs more than 0 and less than or equal to 3 to cost 5.50 to ship to a certain zone. This would be defined by this: 0-3:5.5 You should combine a bunch of these rates together in a comma delimited list and enter them into the "Zone X Shipping Table" fields where "X" is the zone number. For example, this might be used for Zone 1:</p>

<ol class="listBox">
  <li>0-1:3.5,1-2:3.95,2-3:5.2,3-4:6.45,4-5:7.7,5-6:10.4,6-7:11.85,7-8:13.3,8-9:14.75,9-10:16.2,10-11:17.65,11-12:19.1,12-13:20.55,13-14:22,14-15:23.45 </li>
</ol>

<p>Repeat for all zones.</p>

<p><b><font color="#FF0000">CAVEAT</font></b>: At this time, you must make sure to include all possible values in your ranges. For instance, if you have 4-5:7.7,6-7:11.85, then you've left an undetermined rate for orders that weigh between 5 and 6. The module does not currently deal with this elegantly.</p>

<p>Also, it does not deal with weights that are above the highest amount defined. This will probably be the next area to be improved with the module. For now, you could have one last very high range with a very high shipping rate to discourage orders of that magnitude. For instance: 15-999:1000</p>

<p>If you want to be able to ship to any country in the world, you will need to enter every country code into the Country fields. For most shops, you will not want to enter every country. This is often because of too much fraud from certain places. If a country is not listed, then the module will add a $0.00 shipping charge and will indicate that shipping is not available to that destination. <b><font color="#FF0000">PLEASE NOTE THAT THE ORDER CAN STILL BE COMPLETED AND PROCESSED!</font></b></p>

<p>Lastly, there is a limit of 255 characters on each of the Zone Shipping Tables and Zone Countries.</p>

<p class="noteBox">Note: when you disable the module, <b><font color="#FF0000">all settings are lost</font></b>. Be sure to write them somewhere before disabling the module.</p>
    </td>
    <td valign="top"><img src="images/shipping_module_zones.png" hspace="16"></td>
  </tr>
</table>

<p class="content" align="right">Christian Lescuyer - <a href="mailto:tep@limproviste.com">tep@limproviste.com</a></p>
